
#ifndef mySteppingAction_h
#define mySteppingAction_h 1

#include "G4UserSteppingAction.hh"

class myDetectorConstruction;
class myEventAction;
class myPrimaryGeneratorAction;

class mySteppingAction : public G4UserSteppingAction
{
public:
  mySteppingAction(myDetectorConstruction*, myEventAction*,
		       myPrimaryGeneratorAction*);
  virtual ~mySteppingAction();

  void UserSteppingAction(const G4Step*);

private:
  myDetectorConstruction* detector;
  myEventAction*          eventaction;  
  myPrimaryGeneratorAction* primary;

};


#endif
